LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
OfxPushUpContainer Class Reference

A container to hold a OFX SGML element for which you want the parent to process it's data elements. More...

Inheritance diagram for OfxPushUpContainer:

## Public Member Functions
| OfxPushUpContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.

## Detailed Description

A container to hold a OFX SGML element for which you want the parent to process it's data elements.

When you use add_attribute on an OfxPushUpContainer, the add_attribute is redirected to the parent container.

Definition at line 87 of file ofx_containers.hh.

## Member Function Documentation

void OfxPushUpContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Definition at line 62 of file ofx_containers_misc.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- ofx_containers_misc.cpp